// Id3tagv1.h: CId3tagv1 NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ID3TAGV1_H__81689DF7_1DE7_47C6_A34A_41AFEECC3184__INCLUDED_)
#define AFX_ID3TAGV1_H__81689DF7_1DE7_47C6_A34A_41AFEECC3184__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class MP3INFPEXTR_EXT CId3tagv1
{
public:
	CId3tagv1(BOOL bScmpxGenre = FALSE);
	virtual ~CId3tagv1();
	void SetScmpxGenre(BOOL bSwitch);
	BOOL IsEnable(){return m_bEnable;};

	TEString GetTitle();
	void SetTitle(LPCTSTR title);
	TEString GetArtist();
	void SetArtist(LPCTSTR artist);
	TEString GetAlbum();
	void SetAlbum(LPCTSTR album);
	TEString GetYear();
	void SetYear(LPCTSTR year);
	unsigned char GetGenreNum();
	TEString GetGenre();
	void SetGenre(unsigned char cGenre);
	void SetGenre(LPCTSTR szGenre);
	unsigned char GetTrackNoNum();
	TEString GetTrackNo();
	void SetTrackNo(unsigned char cTrackNo);
	void SetTrackNo(LPCTSTR szTrackNo);
	TEString GetComment();
	void SetComment(LPCTSTR comment);

	TEString GenreNum2String(unsigned char cGenre);
	long GenreString2Num(LPCTSTR szGenre);

	DWORD Load(LPCTSTR szFileName);
	DWORD LoadMulti(LPCTSTR szFileName);
	DWORD Save(HWND hWnd,LPCTSTR szFileName);
	DWORD DelTag(HWND hWnd,LPCTSTR szFileName);
	void GetId3tagString(char *szTag);
	DWORD MakeTag(HWND hWnd,LPCTSTR szFileName);

private:
	void Release();
	BOOL m_bEnable;			//ID3TAGꍇFALSE
	BOOL m_bScmpxGenre;		//SCMPXgWgp
	char m_szTitle[30+1];	//^Cg
	char m_szArtist[30+1];	//A[eBXg
	char m_szAlbum[30+1];	//Ao
	char m_szYear[4+1];		//
	unsigned char m_cGenre;	//W
	char m_szComment[30+1];	//Rg
	unsigned char m_cTrackNo;//gbNԍ(1`255 0=N/A)

};

#endif // !defined(AFX_ID3TAGV1_H__81689DF7_1DE7_47C6_A34A_41AFEECC3184__INCLUDED_)
