
typedef struct _VIDEO_CODEC_TYPE{
	char *type;
	LPCTSTR format;
}VIDEO_CODEC_TYPE;

VIDEO_CODEC_TYPE video_codecs[] =
{
	//񈳏k
	{ "DIB ", _T("NoCompress(DIB)") },
	{ "RGB ", _T("NoCompress(RGB)") },
	{ "BGR ", _T("NoCompress(RGB32)") },
	{ "RAW ", _T("NoCompress(RAW)") },
	//k
	{ "3IVX", _T("3ivx Delta x.x") },
	{ "3IVD", _T("DivX3/MS MPEG4-V3(3IVD)") },
	{ "3IV0", _T("3ivx Delta 1.0-3.5(3IV0)") },
	{ "3IV1", _T("3ivx Delta 1.0-3.5(3IV1)") },
	{ "3IV2", _T("3ivx Delta 4.0") },
	{ "8BPS", _T("Planar RGB Codec (8BPS)") },
	{ "AAS4", _T("Autodesk Animator (AAS4)") },
	{ "AASC", _T("Autodesk Animator (AASC)") },
	{ "ABYR", _T("Kensington?") },
	{ "ADV1", _T("Loronix WaveCodec") },
	{ "ADVJ", _T("Avid M-JPEG(ADVJ)") },
	{ "AEIK", _T("Intel Indeo 3.2") },
	{ "AEMI", _T("Array VideoONE MPEG1-I Capture") },
	{ "AFLC", _T("Autodesk Animator(FLC)") },
	{ "AFLI", _T("Autodesk Animator(FLI)") },
	{ "AJPG", _T("Animated JPEG") }, //Unconfirmed
	{ "AMM2", _T("AMV2 MT Codec") },
	{ "AMPG", _T("Array VideoONE MPEG") },
	{ "AMV3", _T("AMV3 Codec") },
	{ "ANIM", _T("Intel RDX(ANIM)") },
	{ "AP41", _T("AngelPotion MPEG4-V3 Hacked") },
	{ "ASLC", _T("Alparysoft Lossless Video Codec") },
	{ "ASV1", _T("Asus Video") },
	{ "ASV2", _T("Asus Video(2)") },
	{ "ASVX", _T("Asus Video 2.0") },
	{ "AUR2", _T("Aura 2 YUV 422") },
	{ "AURA", _T("Aura 1 YUV 411") },
	{ "AVC1", _T("H.264(AVC1)") },
	{ "AVRN", _T("Avid M-JPEG(AVRN)") },
	{ "BA81", _T("Raw 8bit RGB Bayer (BA81)") },
	{ "BINK", _T("Bink Video") },
	{ "BLZ0", _T("DivX 5.x(BLZ0)") },
	{ "BT20", _T("Conexant Prosumer Video") },
	{ "BTCV", _T("Conexant Composite Video") },
	{ "BW10", _T("Broadway MPEG Capture/Compression") },
	{ "BYR1", _T("Raw 8bit RGB Bayer (BYR1)") },
	{ "BYR2", _T("Raw 16bit RGB Bayer (BYR2)") },
	{ "CC12", _T("Intel YUV12") },
	{ "CDVC", _T("Canopus DV") },
	{ "CFCC", _T("DPS Perception") },
	{ "CFHD", _T("Adobe Premiere HDV") },
	{ "CGDI", _T("Microsoft Camcorder Video") },
	{ "CHAM", _T("Winnov Caviara Champagne") },
	{ "CJPG", _T("Creative WebCam JPEG") },
	{ "CLJR", _T("Cirrus Logic YUV") },
	{ "CMYK", _T("Colorgraph 32Bit CMYK") },
	{ "COL0", _T("DivX3/MS MPEG4-V3(COL0)") },
	{ "COL1", _T("DivX3/MS MPEG4-V3(COL1)") },
	{ "CPLA", _T("Weitek YUV 4:2:0") },
	{ "CRAM", _T("Microsoft Video 1(CRAM)") },
	{ "CSCD", _T("RenderSoft CamStudio lossless CODEC") },
	{ "CTRX", _T("Citrix Scalable Video Codec (CTRX)") },
	{ "CVID", _T("Radius Cinepak") },
	{ "CWLT", _T("Microsoft Color WLT DIB") },
	{ "CXY1", _T("Conexant YUV 4:1:1 (CXY1)") },
	{ "CXY2", _T("Conexant YUV 4:2:2 (CXY2)") },
	{ "CYUV", _T("Creative YUV") },
	{ "CYUY", _T("ATI YUV") },
	{ "D261", _T("DEC H.261") },
	{ "D263", _T("DEC H.263") },
	{ "DAVC", _T("H.264(DAVC)") },
	{ "DCL1", _T("Data Connection Conferencing Codec") },
	{ "DCL2", _T("Data Connection Multimedia Conferencing Codec") },
	{ "DCL3", _T("Data Connection Enhanced Conferencing Codec") },
	{ "DCL4", _T("Data Connection Extended Conferencing Codec") },
	{ "DCL5", _T("Data Connection Media Conferencing Codec") },
	{ "DIVA", _T("DivA MPEG-4") },

	{ "DIVX", _T("DivX4") },	// biCommpress Divx5 or Divx4m
	{ "DIV1", _T("Microsoft MPEG4-V1") },
	{ "DIV2", _T("Microsoft MPEG4-V1/V2") },
	{ "DIV3", _T("DivX ;-) MPEG-4 Video Codec (low motion)") },
	{ "DIV4", _T("DivX ;-) MPEG-4 Video Codec (fast motion)") },
	{ "DIV5", _T("DivX5 (DIV5)") },
	{ "DIV6", _T("DivX (DIV6)") },
	{ "DIVF", _T("DivX (DIVF)") },

	{ "DVIS", _T("DV Codec \"Iris\"") },	// 2004-03-13
	{ "DVSD", _T("DV Codec \"Iris\" [vdsd]") },	// 2004-03-13
	{ "DVRS", _T("DV Codec \"Iris\" Reference AVI") },	// 2004-03-13

	{ "DM4V", _T("Dicas MPEGable MPEG-4") },
	{ "DMB1", _T("Matrox Rainbow Runner MJPEG") },
	{ "DMB2", _T("Paradigm MJPG?") },
	{ "DMK2", _T("ViewSonic V36") },
	{ "DOHC", _T("DummyCodec") },
	{ "DP02", _T("DynaPel MPEG-4") },
	{ "DPS0", _T("DPS Reality") },
	{ "DPSC", _T("DPS PAR") },
	{ "DSVD", _T("DV Codec(DSVD)") },
	{ "DUCK", _T("Duck TrueMotion 1.0") },
	{ "DV25", _T("Matrox DVCPRO") },
	{ "DV50", _T("Matrox DVCPRO50") },
	{ "DVAN", _T("?(DVAN)") },
	{ "DVC ", _T("DV Codec(DVC )") },
	{ "DVCP", _T("DV Codec(DVCP)") },
	{ "DVCS", _T("DV Codec(DVCS)") },
	{ "DVE2", _T("Insoft DVE-2 Videoconferencing") },
	{ "DVH1", _T("Panasonic SMPTE 370M") },
	{ "DVHD", _T("DV Codec(DVHD)") },
	{ "DVMA", _T("Darim Vision DVMPEG") },
	{ "DVSL", _T("DV Codec(DVSL)") },
	{ "DVX1", _T("Lucent DVX1000SP") },
	{ "DVX2", _T("Lucent DVX2000S") },
	{ "DVX3", _T("Lucent DVX3000S") },

	{ "DX50", _T("DivX5") },	//

	{ "DXGM", _T("EA/CinemaWare Game Movie") },
	{ "DXT1", _T("DirectX Compressed Texture(DXT1)") },
	{ "DXT2", _T("DirectX Compressed Texture(DXT2)") },
	{ "DXT3", _T("DirectX Compressed Texture(DXT3)") },
	{ "DXT4", _T("DirectX Compressed Texture(DXT4)") },
	{ "DXT5", _T("DirectX Compressed Texture(DXT5)") },
	{ "DXTC", _T("DirectX Texture Compression") },
	{ "DXTN", _T("DirectX Compressed Texture") },
	{ "EKQ0", _T("Elsa YUV(EKQ0)") },
	{ "ELK0", _T("Elsa YUV(ELK0)") },
	{ "EM2V", _T("Etymonix MPEG-2 I-frame") },
	{ "ES07", _T("Eyestream 7 Codec (ES07)") },
	{ "ESCP", _T("Eidos Escape") },
	{ "ETV1", _T("eTreppid Video(ETV1)") },
	{ "ETV2", _T("eTreppid Video(ETV2)") },
	{ "ETVC", _T("eTreppid Video(ETVC)") },
	{ "FFV1", _T("FFMPEG") },
	{ "FLJP", _T("D-Vision Field Encoded Motion JPEG") },
	{ "FLV1", _T("FlashVideo VP6(ffdshow)") },
	{ "FMP4", _T("FFmpeg MPEG4") },
	{ "FMVC", _T("FM Screen Capture Codec (FMVC)") },
	{ "FPS1", _T("Fraps Movie Capture") },
	{ "FRWA", _T("SoftLab-Nsk Forward Motion JPEG with alpha channel") },
	{ "FRWD", _T("SoftLab-Nsk Forward Motion JPEG(FRWD)") },
	{ "FRWT", _T("SoftLab-Nsk Forward Motion JPEG(FRWT)") },
	{ "FRWU", _T("Darim Vision Forward") },
	{ "FVF1", _T("Fractal Video Frame") },
	{ "FVFW", _T("FFVFW") },
	{ "GEOX", _T("GEOMPEG4 (GEOX)") },
	{ "GJPG", _T("GT891x Codec (GJPG)") },
	{ "GLCC", _T("GigaLink Video Codec") },
	{ "GLZW", _T("Motion LZW") },
	{ "GPEG", _T("Motion JPEG(GPEG)") },
	{ "GWLT", _T("Microsoft Greyscale WLT DIB") },
	{ "H260", _T("Intel ITU H.260") },
	{ "H261", _T("Intel ITU H.261") },
	{ "H262", _T("Intel ITU H.262") },
	{ "H263", _T("Intel ITU H.263") },
	{ "H264", _T("Intel ITU H.264") },
	{ "H265", _T("Intel ITU H.265") },
	{ "H266", _T("Intel ITU H.266") },
	{ "H267", _T("Intel ITU H.267") },
	{ "H268", _T("Intel ITU H.268") },
	{ "H269", _T("Intel ITU H.269") },
	{ "HDYC", _T("Raw YUV 4:2:2 (HDYC)") },
	{ "HFYU", _T("Ben Rudiak-Gould Huffyuv") },
	{ "HMCR", _T("Rendition Motion Compensation Format (HMCR)") },
	{ "HMRR", _T("Rendition Motion Compensation Format (HMRR)") },
	{ "HYMT", _T("Huffyuv MT") },
	{ "I263", _T("Intel ITU H.263") },
	{ "I420", _T("Intel Indeo 4") },
	{ "IAN ", _T("Intel RDX(IAN)") },
	{ "ICLB", _T("InSoft CellB Videoconferencing") },
	{ "IF09", _T("Intel Intermediate YUV9") },
	{ "IGOR", _T("Power DVD") },
	{ "IJPG", _T("Intergraph JPEG") },
	{ "ILVC", _T("Intel Layered Video") },
	{ "ILVR", _T("ITU H.263+") },
	{ "IPDV", _T("I/O DATA Giga AVI DV") },
	{ "IPJ2", _T("Image Power JPEG2000") },
	{ "IR21", _T("Intel Indeo 2.1") },
	{ "IR45", _T("?(IR45)") },
	{ "IRAW", _T("Intel Uncompressed UYUV") },
	{ "ISME", _T("?(ISME)") },
	{ "IV30", _T("Intel Indeo 3") },
	{ "IV31", _T("Intel Indeo 3.1") },
	{ "IV32", _T("Intel Indeo 3.2") },
	{ "IV33", _T("Intel Indeo 3.3") },
	{ "IV34", _T("Intel Indeo 3.4") },
	{ "IV35", _T("Intel Indeo 3.5") },
	{ "IV36", _T("Intel Indeo 3.6") },
	{ "IV37", _T("Intel Indeo 3.7") },
	{ "IV38", _T("Intel Indeo 3.8") },
	{ "IV39", _T("Intel Indeo 3.9") },
	{ "IV40", _T("Intel Indeo 4.0") },
	{ "IV41", _T("Intel Indeo 4.1") },
	{ "IV42", _T("Intel Indeo 4.2") },
	{ "IV43", _T("Intel Indeo 4.3") },
	{ "IV44", _T("Intel Indeo 4.4") },
	{ "IV45", _T("Intel Indeo 4.5") },
	{ "IV46", _T("Intel Indeo 4.6") },
	{ "IV47", _T("Intel Indeo 4.7") },
	{ "IV48", _T("Intel Indeo 4.8") },
	{ "IV49", _T("Intel Indeo 4.9") },
	{ "IV50", _T("Intel Indeo 5.0") },
	{ "IYUV", _T("Intel Indeo iYUV R2.0") },
	{ "JBYR", _T("Kensington?") },
	{ "JPEG", _T("Microsoft StillImage JPEG") },
	{ "JPGL", _T("DIVIO JPEG Light") },
	{ "KMVC", _T("Karl Morton's Video") },
	{ "L261", _T("Lead H.261") },
	{ "L263", _T("Lead H.263") },
	{ "LBYR", _T("?(LBYR)") },
	{ "LCMW", _T("Lead Motion CMW") },
	{ "LCW2", _T("LEAD MJPEG2000 (LCW2)") },
	{ "LEAD", _T("LEAD Video") },
	{ "LGRY", _T("LEAD Grayscale Image") },
	{ "LJ11", _T("LEAD JPEG 4:1:1 (LJ11)") },
	{ "LJ22", _T("LEAD JPEG 4:2:2 (LJ22)") },
	{ "LJ2K", _T("LEAD JPEG 2000") },
	{ "LJ44", _T("LEAD JPEG 4:4:4 (LJ44)") },
	{ "LJPG", _T("LEAD MJPEG") },
	{ "LMP2", _T("LEAD MPEG-2 Video Codec (LMP2)") },
	{ "LMP4", _T("LEAD MPEG-4 Video Codec (LMP4)") },
	{ "LSVC", _T("Lightning Strike Video Codec (LSVC)") },
	{ "LSVM", _T("Vianet Lighting Strike Vmail") },
	{ "LSVX", _T("Lightning Strike Video Codec (LSVX)") },
	{ "LZO1", _T("Lempel-Ziv-Oberhumer") },
	{ "M261", _T("Microsoft H.261") },
	{ "M263", _T("Microsoft H.263") },
	{ "M4CC", _T("Divio MPEG-4") },
	{ "M4S2", _T("MPEG-4 version 2 simple profile") },
	{ "MC12", _T("ATI Motion Compensation Format(MC12)") },
	{ "MCAM", _T("ATI Motion Compensation Format(MCAM)") },
	{ "MJ2C", _T("Motion JPEG2000") },
	{ "MJPA", _T("Pinnacle ReelTime MJPG-A Software") },
	{ "MJPG", _T("Motion JPEG(MJPG)") },
	{ "MMES", _T("Matrox MPEG-2 ES") },
	{ "MP2A", _T("Media Excel MPEG-2 Audio") },
	{ "MP2T", _T("Media Excel MPEG-2 Transport Stream") },
	{ "MP2V", _T("Media Excel MPEG-2 Video") },
	{ "MP42", _T("Microsoft MPEG4-V2") },
	{ "MP43", _T("Microsoft MPEG4-V3") },
	{ "MP4A", _T("Media Excel MPEG-4 Audio") },
	{ "MP4S", _T("Microsoft MPEG4(MP4S)") },
	{ "MP4T", _T("Media Excel MPEG-4 Transport Stream") },
	{ "MP4V", _T("Media Excel MPEG-4 Video") },
	{ "MPEG", _T("Chromatic MPEG1 Video I Frame") },
	{ "MPG3", _T("DivX3/MS MPEG4-V3(MPG3)") },
	{ "MPG4", _T("Microsoft MPEG4-V1") },
	{ "MPGI", _T("Sigma Designs MPEG") },
	{ "MPNG", _T("PNG images decoder") },
	{ "MR16", _T("?(MR16)") },
	{ "MRCA", _T("FAST Multimedia Mrcodec") },
	{ "MRLE", _T("Microsoft RLE") },
	{ "MSVC", _T("Microsoft Video1(MSVC)") },
	{ "MSZH", _T("LCL AVImszh") },
	{ "MTGA", _T("TGA images decoder") },
	{ "MTX1", _T("Matrox(MTX1)") },
	{ "MTX2", _T("Matrox(MTX2)") },
	{ "MTX3", _T("Matrox(MTX3)") },
	{ "MTX4", _T("Matrox(MTX4)") },
	{ "MTX5", _T("Matrox(MTX5)") },
	{ "MTX6", _T("Matrox(MTX6)") },
	{ "MTX7", _T("Matrox(MTX7)") },
	{ "MTX8", _T("Matrox(MTX8)") },
	{ "MTX9", _T("Matrox(MTX9)") },
	{ "MV12", _T("?(MV12)") },
	{ "MVI1", _T("Motion Pixels MVI1") },
	{ "MVI2", _T("Motion Pixels MVI2") },
	{ "MWV1", _T("Aware Motion Wavelets") },
	{ "NAVI", _T("NAVI") },
	{ "NDSC", _T("Nero Digital Cinema (NDSC)") },
	{ "NDSM", _T("Nero MPEG4? (NDSM)") },
	{ "NDSP", _T("Nero Digital Portable (NDSP)") },
	{ "NDSS", _T("Nero Digital Standard (NDSS)") },
	{ "NDXC", _T("Nero Digital AVC Cinema (NDXC)") },
	{ "NDXH", _T("Nero Digital AVC HDTV (NDXH)") },
	{ "NDXP", _T("Nero Digital AVC Portable (NDXP)") },
	{ "NDXS", _T("Nero Digital AVC Standard (NDXS)") },
	{ "NHVU", _T("NVidia Texture Format (NHVU)") },
	{ "NT00", _T("NewTek LigtWave HDTV") },
	{ "NTN1", _T("Nogatech Video Compression 1") },
	{ "NTN2", _T("Nogatech Video Compression 2") },
	{ "NTZ0", _T("netsuzo") }, //Unconfirmed
	{ "NTZO", _T("netsuzo") }, //Unconfirmed
	{ "NUV1", _T("NuppelVideo") },
	{ "NVDS", _T("nVIDIA GeForce3 Texture(NVDS)") },
	{ "NVHS", _T("nVIDIA GeForce3 Texture(NVHS)") },
	{ "NVHU", _T("nVIDIA GeForce3 Texture(NVHU)") },
	{ "NVS0", _T("nVIDIA GeForce2 GTS Pro Texture(NVS0)") },
	{ "NVS1", _T("nVIDIA GeForce2 GTS Pro Texture(NVS1)") },
	{ "NVS2", _T("nVIDIA GeForce2 GTS Pro Texture(NVS2)") },
	{ "NVS3", _T("nVIDIA GeForce2 GTS Pro Texture(NVS3)") },
	{ "NVS4", _T("nVIDIA GeForce2 GTS Pro Texture(NVS4)") },
	{ "NVS5", _T("nVIDIA GeForce2 GTS Pro Texture(NVS5)") },
	{ "NVT0", _T("nVIDIA GeForce2 GTS Pro Texture(NVT0)") },
	{ "NVT1", _T("nVIDIA GeForce2 GTS Pro Texture(NVT1)") },
	{ "NVT2", _T("nVIDIA GeForce2 GTS Pro Texture(NVT2)") },
	{ "NVT3", _T("nVIDIA GeForce2 GTS Pro Texture(NVT3)") },
	{ "NVT4", _T("nVIDIA GeForce2 GTS Pro Texture(NVT4)") },
	{ "NVT5", _T("nVIDIA GeForce2 GTS Pro Texture(NVT5)") },
	{ "PDVC", _T("I/O DATA DVC") },
	{ "PGVV", _T("Radius Video Vision") },
	{ "PHMO", _T("IBM Photomotion") },
	{ "PIM1", _T("Pegasus Imaging Lossless JPEG(PIM1)") },
	{ "PIM2", _T("Pegasus Imaging Lossless JPEG(PIM2)") },
	{ "PIMJ", _T("Pegasus Imaging Lossless JPEG(PIMJ)") },
	{ "PIXL", _T("Pinnacle Video XL") },
	{ "PJPG", _T("PA MJPEG (PJPG)") },
	{ "PNG1", _T("CorePNG v8") },	// 2004-01-21 ǉ BBS4900
	{ "PVEZ", _T("Horizons Technology PowerEZ") },
	{ "PVMM", _T("PacketVideo Corporation MPEG-4") },
	{ "PVWV", _T("Pegasus Wavelet Compression(PVWV)") },
	{ "PVW2", _T("Pegasus Wavelet Compression(PVW2)") },
	{ "Q1.0", _T("Q-Team QPEG(Q1.0)") },
	{ "Q1.1", _T("Q-Team QPEG(Q1.1)") },
	{ "QPEG", _T("Q-Team QPEG(QPEG)") },
	{ "QPEQ", _T("Q-Team QPEG(QPEQ)") },
	{ "RAVI", _T("GTRON ReferenceAVI(RAVI)") },
	{ "RAV_", _T("GTRON ReferenceAVI(RAV_)") },
	{ "RGBT", _T("Computer Concepts 32Bits RGB") },
	{ "RLE ", _T("Microsoft RLE") },
	{ "RLE4", _T("Microsoft RLE4") },
	{ "RLE8", _T("Microsoft RLE8") },
	{ "RMP4", _T("REALMagic MPEG4") },
	{ "ROQV", _T("Id RoQ File Video Decoder") },
	{ "RPZA", _T("Apple Video") },
	{ "RT21", _T("Intel Real Time Video 2.1") },
	{ "RTV0", _T("NewTek VideoToaster") },
	{ "RUD0", _T("nico Rududu") },
	{ "RUSH", _T("RushCodec") },
	{ "RV10", _T("RealVideo 1.0") },
	{ "RV20", _T("Real G2") },
	{ "RV30", _T("Real 8") },
	{ "RV40", _T("Real 9/10") },	//090627
	{ "RVX ", _T("Intel RDX(RVX)") },
	{ "S422", _T("Tekram VideoCap C210 YUV") },
	{ "SAN3", _T("DivX 3.11a Copy") },
	{ "SDCC", _T("Sun Digital Camera") },
	{ "SEDG", _T("Samsung MPEG-4") },
	{ "SFMC", _T("CrystalNet Surface Fitting Method") },
	{ "SHYU", _T("Huffyuvs v2.1.1") },
	{ "SJPG", _T("White Pine") },
	{ "SMC ", _T("Apple Graphics (SMC )") },
	{ "SMP4", _T("?(SMP4)") },
	{ "SMSC", _T("Radius Proprietary") },
	{ "SMSD", _T("Radius Proprietary") },
	{ "SMSV", _T("WorldConnect Wavelet Video") },
	{ "SNOW", _T("SNOW") },
	{ "SP40", _T("Sunplus SP40") },
	{ "SP44", _T("Sunplus SP44") },
	{ "SP53", _T("Aiptek MegaCam(SP53)") },
	{ "SP54", _T("Aiptek MegaCam(SP54)") },
	{ "SP55", _T("Aiptek MegaCam(SP55)") },
	{ "SP56", _T("Aiptek MegaCam(SP56)") },
	{ "SP57", _T("Aiptek MegaCam(SP57)") },
	{ "SP58", _T("Aiptek MegaCam(SP58)") },
	{ "SPIG", _T("Radius Spigot") },
	{ "SPLC", _T("Splash Studios ACM") },
	{ "SQZ2", _T("Microsoft VXTreme V2") },
	{ "SV10", _T("Sorenson Video R1") },
	{ "STVA", _T("ST CMOS Imager Data (Bayer)") },
	{ "STVB", _T("ST CMOS Imager Data (Nudged Bayer)") },
	{ "STVC", _T("ST CMOS Imager Data (Bunched)") },
	{ "STVX", _T("ST CMOS Imager Data (Extended CODEC Data Format)") },
	{ "STVY", _T("ST CMOS Imager Data (Extended CODEC Data Format with Correction Data)") },
	{ "SV10", _T("Sorenson Video R1 (SV10)") },
	{ "SVQ1", _T("Sorenson Video 1") },
	{ "SVQ3", _T("Sorenson Video 3") },
	{ "T420", _T("Toshiba YUV 4:2:0 & 4:1:1") },
	{ "TLMS", _T("TeraLogic Motion Intraframe(TLMS)") },
	{ "TLST", _T("TeraLogic Motion Intraframe(TLST)") },
	{ "TM20", _T("Duck TrueMotion 2.0") },
	{ "TM2A", _T("On2 TrueMotion2X(TM2A)") },
	{ "TM2X", _T("On2 TrueMotion2X(TM2X)") },
	{ "TMIC", _T("TeraLogic Motion Intraframe(TMIC)") },
	{ "TMOT", _T("Horizons Technology TrueMotion S") },
	{ "TR20", _T("Duck TrueMotion RT 2.0") },
	{ "TSCC", _T("TechSmith Screen Capture") },
	{ "TV10", _T("Tecomac Low-Bit Rate") },
	{ "TVJP", _T("Truevision TARGA 2000(TVJP)") },
	{ "TVMJ", _T("Truevision TARGA 2000(TVMJ)") },
	{ "TY0N", _T("Trident Decompression(TY0N)") },
	{ "TY2C", _T("Trident Decompression(TY2C)") },
	{ "TY2N", _T("Trident Decompression(TY2N)") },
	{ "U263", _T("UB Video StreamForce") },
	{ "UCOD", _T("eMagix ClearVideo") },
	{ "ULTI", _T("IBM Ultimotion") },
	{ "ULRG", _T("Ut Video Codec RGB") },
	{ "ULY0", _T("Ut Video Codec YUV420") },
	{ "ULY2", _T("Ut Video Codec YUV422") },
	{ "UMP4", _T("DivX3/MS MPEG4-V1(UMP4)") },
	{ "UYVY", _T("Microsoft UYVY 4:2:2") },
	{ "V210", _T("AJA Video Systems 10-bit 4:2:2 Component YCbCr (V210)") },
	{ "V261", _T("Lucent VX2000S") },
	{ "V422", _T("Vitec Multimedia 24bitYUV") },
	{ "V655", _T("Vitec Multimedia 16bitYUV") },
	{ "VCR1", _T("ATI Video Codec 1.0") },
	{ "VCR2", _T("ATI Video Codec 2.0") },
	{ "VCR3", _T("ATI Video Codec 3.0") },
	{ "VCR4", _T("ATI Video Codec 4.0") },
	{ "VCR5", _T("ATI Video Codec 5.0") },
	{ "VCR6", _T("ATI Video Codec 6.0") },
	{ "VCR7", _T("ATI Video Codec 7.0") },
	{ "VCR8", _T("ATI Video Codec 8.0") },
	{ "VCR9", _T("ATI Video Codec 9.0") },
	{ "VDCT", _T("Vitec Video Maker Pro DIB") },
	{ "VDEC", _T("?(VDEC)") },
	{ "VDOM", _T("VDOWave") },
	{ "VDOW", _T("VDOLive") },
	{ "VDST", _T("VirtualDub remote frameclient") },
	{ "VDTZ", _T("Darim Vision VideoTizer YUV") },
	{ "VGPX", _T("Alaris Wee Cam") },
	{ "VIDS", _T("Vitec YUV 4:2:2 CCIR 601 for V422") },
	{ "VIFP", _T("VFAPI Codec (VIFP)") },
	{ "VIVO", _T("Vivo H.263") },
	{ "VIXL", _T("Miro Video XL") },
	{ "VLV1", _T("VideoLogic?") },
	{ "VP30", _T("On2 Open-Source VP3(VP30)") },
	{ "VP31", _T("On2 Open-Source VP3(VP31)") },
	{ "VP40", _T("On2 VP4") },
	{ "VP50", _T("On2 VP5") },
	{ "VP60", _T("On2 VP6(Simple)") },
	{ "VP61", _T("On2 VP6(Advanced)") },
	{ "VP62", _T("On2 VP6(VP62)") },
	{ "VP6F", _T("On2 VP6(ffdshow)") },
	{ "VP70", _T("On2 VP7") },
	{ "VSSH", _T("H.264(VSSH)") },
	{ "VQC1", _T("ViewQuest VideoQuest Codec 1") },
	{ "VQC2", _T("ViewQuest VideoQuest Codec 2") },
	{ "VQJC", _T("?(VQJC)") },
	{ "VSSV", _T("Vanguard Software VSS Video") },
	{ "VTLP", _T("Alaris VideoGram QuickVideo VGPixel(VTLP)") },
	{ "VUUU", _T("?(VUUU)") },
	{ "VX1K", _T("Lucent VX1000S") },
	{ "VX2K", _T("Lucent VX2000S") },
	{ "VXSP", _T("Lucent VX1000SP") },
	{ "VYU9", _T("ATI YUV(VYU9)") },
	{ "VYUY", _T("ATI YUV(VYUY)") },
	{ "WBVC", _T("Winbond W9960") },
	{ "WHAM", _T("Microsoft Video 1(WHAM)") },
	{ "WINX", _T("Winnov Software Compression") },
	{ "WJPG", _T("AverMedia USB TV-tuner/capture") },
	{ "WMV1", _T("Windows Media Video 7") },
	{ "WMV2", _T("Windows Media Video 8") },
	{ "WMV3", _T("Windows Media Video 9 (WMV3)") },
	{ "WMVA", _T("WMV9 Advanced Profile (WMVA)") },
	{ "WVC1", _T("WMV9 Advanced Profile (WVC1)") },
	{ "WNIX", _T("WniWni Video3") },
	{ "WNV1", _T("Winnov Hardware Compression") },
	{ "WRPR", _T("VideoTools VideoServer Client Codec") },
	{ "X263", _T("Xirlink H.263 Video Codec") },
	{ "X264", _T("H.264(X264)") },
	{ "XLV0", _T("NetXL XL Video Decoder") },
	{ "XLV1", _T("Videologic VLCAP") },
	{ "XMPG", _T("XING IFlameOnry MPEG") },
	{ "XTOR", _T("Dxtory") },
	{ "XVID", _T("XviD MPEG4") },
	{ "XVIX", _T("DivX3/MS MPEG4-V2(XVIX)") },
	{ "XWV0", _T("XiWave Video(XWV0)") },
	{ "XWV1", _T("XiWave Video(XWV1)") },
	{ "XWV2", _T("XiWave Video(XWV2)") },
	{ "XWV3", _T("XiWave Video(XWV3)") },
	{ "XWV4", _T("XiWave Video(XWV4)") },
	{ "XWV5", _T("XiWave Video(XWV5)") },
	{ "XWV6", _T("XiWave Video(XWV6)") },
	{ "XWV7", _T("XiWave Video(XWV7)") },
	{ "XWV8", _T("XiWave Video(XWV8)") },
	{ "XWV9", _T("XiWave Video(XWV9)") },
	{ "XXAN", _T("?(XXAN)") },
	{ "Y16 ", _T("16bpp Grayscale Video (Y16 )") },
	{ "Y211", _T("Microsoft YUV 2:1:1") },
	{ "Y411", _T("Microsoft YUV 4:1:1 Packed") },
	{ "Y41B", _T("Microsoft YUV 4:1:1 Planar") },
	{ "Y41P", _T("Brooktree YUV 4:1:1") },
	{ "Y41T", _T("Brooktree PCI 4:1:1 with transparency") },
	{ "Y42B", _T("Weitek YUV 4:2:2") },
	{ "Y42T", _T("Brooktree PCI 4:2:2 with transparency") },
	{ "Y444", _T("?(Y444)") },
	{ "Y8  ", _T("Grayscale video") },
	{ "YC12", _T("Intel YUV12") },
	{ "YU92", _T("Intel YUV(YU92)") },
	{ "YUV8", _T("Winnov Caviar YUV8") },
	{ "YUV9", _T("Indeo Video Raw(YUV9)") },
	{ "YUVP", _T("uncompressed YCrCb 4:2:2") },
	{ "YUY2", _T("Microsoft Raw uncompressed YUV 4:2:2") },
	{ "YUYV", _T("Canopus YUVY") },
	{ "YV12", _T("Weitek YVU12") },
	{ "YV16", _T("Elecard YUV 4:2:2 Planar") },
	{ "YV92", _T("Intel Smart Video Recorder") },
	{ "YVU9", _T("Indeo Video Raw(YVU9)") },
	{ "YVYU", _T("Microsoft YVYU 4:2:2") },
	{ "ZLIB", _T("LCL AVIzlib") },
	{ "ZMBV", _T("DoxBox Capture Codec (ZMBV)") },
	{ "ZPEG", _T("Metheus Video Zipper") },
	{ "ZYGO", _T("ZyGo ZyGoVideo") },
	{ "ZYYY", _T("?(ZYYY)") },
	//		{" ",_T("k")}
};

BOOL findVideoCodecName1(TEString &strVideoFormat, DWORD biCompression, DWORD fccHeader)
{
	if (mmioFOURCC('D', 'I', 'V', 'X') == fccHeader) {
		if (memcmp(&biCompression, "DX50", 4) == 0) {
			strVideoFormat = _T("DivX5");
		}
		else {
			strVideoFormat = _T("DivX4");
		}
		return TRUE;
	}
	int i=0;
	for (; i<sizeof(video_codecs) / sizeof(video_codecs[0]); i++) {
		if (mmioFOURCC(video_codecs[i].type[0], video_codecs[i].type[1], video_codecs[i].type[2], video_codecs[i].type[3]) == fccHeader) {
			strVideoFormat = video_codecs[i].format;
			return TRUE;
		}
	}
	for (i=0; i<sizeof(video_codecs) / sizeof(video_codecs[0]); i++) {
		if (mmioFOURCC(video_codecs[i].type[0], video_codecs[i].type[1], video_codecs[i].type[2], video_codecs[i].type[3]) == biCompression) {
			strVideoFormat = video_codecs[i].format;
			return TRUE;
		}
	}
	return FALSE;
}

